Get Air Waybills
2 min
Overview
This endpoint lets users to get all the air waybills subscribed by the user and also filter them out by using awb number as a query parameter.
GET
https://tnt-api.rpalabs.io/api/v1/track_and_trace/air/air_waybills
Query Parameters
- awb_numberNumberDescription
Header Parameters
- AuthorizationStringrequiredDescription
curl
curl --location --request GET 'https://tnt-api.rpalabs.io/api/v1/track_and_trace/air/air_waybills' \
--header 'Accept: application/json' \
--header 'Authorization: String'nodejs
var request = require('request');
var options = {
'method': 'GET',
'url': 'https://tnt-api.rpalabs.io/api/v1/track_and_trace/air/air_waybills',
'headers': {
'Accept': 'application/json',
'Authorization': 'String'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Authorization", "String");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://tnt-api.rpalabs.io/api/v1/track_and_trace/air/air_waybills", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import http.client
conn = http.client.HTTPSConnection("tnt-api.rpalabs.io")
payload = ''
headers = {
'Accept': 'application/json',
'Authorization': 'String'
}
conn.request("GET", "/api/v1/track_and_trace/air/air_waybills", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))ruby
require "uri"
require "net/http"
url = URI("https://tnt-api.rpalabs.io/api/v1/track_and_trace/air/air_waybills")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept"] = "application/json"
request["Authorization"] = "String"
response = https.request(request)
puts response.read_body
200
{
"data": [
{
"tracking_events": [
{
"weight": 247.0,
"pieces": 16,
"flight_number": "",
"time": "2022/6/23 23:22:00",
"code": null,
"location": "HKG",
"is_estimated": false,
"description": "Freight on hand",
"serial_number": "1"
},
{
"weight": 247.0,
"pieces": 16,
"flight_number": "",
"time": "2022/6/24 0:16:00",
"code": "RCS",
"location": "HKG",
"is_estimated": false,
"description": "Airline Received",
"serial_number": "2"
},
{
"weight": 247.0,
"pieces": 16,
"flight_number": "CX506",
"time": "2022/6/24 8:34:00",
"code": "MAN",
"location": "HKG",
"is_estimated": false,
"description": "Manifest received",
"serial_number": "3"
},
{
"weight": 247.0,
"pieces": 16,
"flight_number": "CX506",
"time": "2022/6/24 10:08:00",
"code": "DEP",
"location": "HKG",
"is_estimated": false,
"description": "Departed",
"serial_number": "4"
},
{
"weight": 247.0,
"pieces": 16,
"flight_number": "CX506",
"time": "2022/6/24 14:46:00",
"code": "ARR",
"location": "KIX",
"is_estimated": false,
"description": "Arrived",
"serial_number": "5"
},
{
"weight": 247.0,
"pieces": 16,
"flight_number": "CX506",
"time": "2022/6/24 15:15:00",
"code": "RCF",
"location": "KIX",
"is_estimated": false,
"description": "Freight accepted at airport",
"serial_number": "6"
},
{
"weight": 247.0,
"pieces": 16,
"flight_number": "CX506",
"time": "2022/6/24 15:15:00",
"code": "RWB",
"location": "KIX",
"is_estimated": false,
"description": "Document delivered to forwarder",
"serial_number": "7"
},
{
"weight": 247.0,
"pieces": 16,
"flight_number": "",
"time": "2022/6/24 20:34:00",
"code": "DLV",
"location": "KIX",
"is_estimated": false,
"description": "Delivered",
"serial_number": "8"
}
],
"awb_number": "16044945493",
"id": "62eb2bd840dde2d263c11d21",
"updated_at": "2022/7/17 8:19:01",
"tracking_finished_time": "2022/7/15 8:13:43",
"carrier": {
"airline": "CATHAY PACIFIC AIRWAYS",
"code": "CX"
},
"airport": {
"origin": "HKG",
"origin_code": null,
"destination_code": null,
"destination": "KIX"
}
},
{
"tracking_events": [
{
"weight": 88.0,
"pieces": 1,
"flight_number": null,
"time": "2022/8/8 23:31:00",
"code": "RCS",
"location": "AMS",
"is_estimated": false,
"description": "Ready for Carriage at AMS",
"serial_number": "1"
},
{
"weight": 88.0,
"pieces": 1,
"flight_number": "AY0121",
"time": "2022/8/11 18:39:00",
"code": "TDE",
"location": "HEL",
"is_estimated": false,
"description": "Departed to DEL on Flight AY-0121, 11 Aug 2022, HEL-DEL",
"serial_number": "10"
},
{
"weight": 88.0,
"pieces": 1,
"flight_number": "AY0121",
"time": "2022/8/12 5:26:00",
"code": "ARR",
"location": "DEL",
"is_estimated": false,
"description": "Arrived at DEL on Flight AY-0121, 12 Aug 2022, HEL-DEL",
"serial_number": "11"
},
{
"weight": 88.0,
"pieces": 1,
"flight_number": "AY0121",
"time": "2022/8/12 8:48:00",
"code": "RCF",
"location": "DEL",
"is_estimated": false,
"description": "Received at DEL from Flight No. AY-0121, 12 Aug 2022, HEL-DEL",
"serial_number": "12"
},
{
"weight": 88.0,
"pieces": 1,
"flight_number": "AY0121",
"time": "2022/8/9 9:14:54",
"code": "BKD",
"location": "AMS",
"is_estimated": false,
"description": "booked on Flight AY-0121, 11 Aug 2022, HEL-DEL",
"serial_number": "2"
},
{
"weight": 88.0,
"pieces": 1,
"flight_number": "AY1302",
"time": "2022/8/10 6:54:17",
"code": "BKD",
"location": "AMS",
"is_estimated": false,
"description": "booked on Flight AY-1302, 09 Aug 2022, AMS-HEL",
"serial_number": "3"
},
{
"weight": 88.0,
"pieces": 1,
"flight_number": "AY1302",
"time": "2022/8/9 11:04:00",
"code": "DEP",
"location": "AMS",
"is_estimated": false,
"description": "Departed to HEL on Flight AY-1302, 09 Aug 2022, AMS-HEL",
"serial_number": "4"
},
{
"weight": 88.0,
"pieces": 1,
"flight_number": "AY1302",
"time": "2022/8/9 15:33:00",
"code": "TAR",
"location": "HEL",
"is_estimated": false,
"description": "Arrived at HEL on Flight AY-1302, 09 Aug 2022, AMS-HEL",
"serial_number": "5"
},
{
"weight": 88.0,
"pieces": 1,
"flight_number": "AY0121",
"time": "2022/8/10 8:56:35",
"code": null,
"location": "HEL",
"is_estimated": false,
"description": "Pre-manifested on Flight - AY-0121, 11 Aug 2022, HEL-DEL ",
"serial_number": "6"
},
{
"weight": 88.0,
"pieces": 1,
"flight_number": "AY1302",
"time": "2022/8/10 8:56:16",
"code": "",
"location": "HEL",
"is_estimated": false,
"description": "Received at HEL from Flight No. AY-1302, 09 Aug 2022, AMS-HEL",
"serial_number": "7"
},
{
"weight": 88.0,
"pieces": 1,
"flight_number": null,
"time": "2022/8/10 17:02:00",
"code": "AWB",
"location": "HEL",
"is_estimated": false,
"description": "AWB Documentation has been received at HEL",
"serial_number": "8"
},
{
"weight": 88.0,
"pieces": 1,
"flight_number": "AY0121",
"time": "2022/8/11 13:47:00",
"code": "MAN",
"location": "HEL",
"is_estimated": false,
"description": "Manifested on Flight AY-0121, 11 Aug 2022, HEL-DEL",
"serial_number": "9"
}
],
"awb_number": "10556085665",
"id": "62ef71d7782539977313a0b8",
"updated_at": "2022/8/12 12:03:35",
"tracking_finished_time": null,
"carrier": {
"airline": "FINNAIR",
"code": "AY"
},
"airport": {
"origin": "AMS",
"origin_code": null,
"destination_code": null,
"destination": "DEL"
}
},
{
"tracking_events": [
{
"weight": 20.0,
"pieces": 1,
"flight_number": "AY1302",
"time": "2022/8/4 16:54:31",
"code": "BKD",
"location": "HEL",
"is_estimated": false,
"description": "booked on Flight AY-1302, 12 Aug 2022, AMS-HEL",
"serial_number": "1"
},
{
"weight": 17.0,
"pieces": 1,
"flight_number": null,
"time": "2022/8/12 19:48:00",
"code": "AWB",
"location": "HEL",
"is_estimated": false,
"description": "AWB Documentation has been received at HEL",
"serial_number": "10"
},
{
"weight": 17.0,
"pieces": 1,
"flight_number": "AY0033",
"time": "2022/8/15 8:10:00",
"code": "MAN",
"location": "HEL",
"is_estimated": false,
"description": "Manifested on Flight AY-0033, 15 Aug 2022, HEL-SEA",
"serial_number": "11"
},
{
"weight": 17.0,
"pieces": 1,
"flight_number": "AY0033",
"time": "2022/8/15 18:02:00",
"code": "TDE",
"location": "HEL",
"is_estimated": false,
"description": "Departed to SEA on Flight AY-0033, 15 Aug 2022, HEL-SEA",
"serial_number": "12"
},
{
"weight": 17.0,
"pieces": 1,
"flight_number": "AY0033",
"time": "2022/8/15 17:43:00",
"code": "ARR",
"location": "SEA",
"is_estimated": false,
"description": "Arrived at SEA on Flight AY-0033, 15 Aug 2022, HEL-SEA",
"serial_number": "13"
},
{
"weight": 17.0,
"pieces": 1,
"flight_number": "AY0033",
"time": "2022/8/12 5:02:47",
"code": "BKD",
"location": "AMS",
"is_estimated": false,
"description": "booked on Flight AY-0033, 15 Aug 2022, HEL-SEA",
"serial_number": "2"
},
{
"weight": 17.0,
"pieces": 1,
"flight_number": null,
"time": "2022/8/11 19:17:00",
"code": null,
"location": "AMS",
"is_estimated": false,
"description": "Received in Warehouse at AMS",
"serial_number": "3"
},
{
"weight": 17.0,
"pieces": 1,
"flight_number": null,
"time": "2022/8/11 19:17:00",
"code": "RCS",
"location": "AMS",
"is_estimated": false,
"description": "Ready for Carriage at AMS",
"serial_number": "4"
},
{
"weight": 17.0,
"pieces": 1,
"flight_number": "AY1302",
"time": "2022/8/12 14:39:18",
"code": "MAN",
"location": "AMS",
"is_estimated": false,
"description": "Manifested on Flight AY-1302, 12 Aug 2022, AMS-HEL",
"serial_number": "5"
},
{
"weight": 17.0,
"pieces": 1,
"flight_number": "AY1302",
"time": "2022/8/12 11:28:00",
"code": "DEP",
"location": "AMS",
"is_estimated": false,
"description": "Departed to HEL on Flight AY-1302, 12 Aug 2022, AMS-HEL",
"serial_number": "6"
},
{
"weight": 17.0,
"pieces": 1,
"flight_number": "AY1302",
"time": "2022/8/12 15:53:00",
"code": "TAR",
"location": "HEL",
"is_estimated": false,
"description": "Arrived at HEL on Flight AY-1302, 12 Aug 2022, AMS-HEL",
"serial_number": "7"
},
{
"weight": 17.0,
"pieces": 1,
"flight_number": "AY0033",
"time": "2022/8/12 17:53:00",
"code": null,
"location": "HEL",
"is_estimated": false,
"description": "Pre-manifested on Flight - AY-0033, 15 Aug 2022, HEL-SEA ",
"serial_number": "8"
},
{
"weight": 17.0,
"pieces": 1,
"flight_number": "AY1302",
"time": "2022/8/12 17:53:00",
"code": "",
"location": "HEL",
"is_estimated": false,
"description": "Received at HEL from Flight No. AY-1302, 12 Aug 2022, AMS-HEL",
"serial_number": "9"
}
],
"awb_number": "10556084755",
"id": "62ef71f7782539977313a0ba",
"updated_at": "2022/8/16 9:01:47",
"tracking_finished_time": null,
"carrier": {
"airline": "FINNAIR",
"code": "AY"
},
"airport": {
"origin": "AMS",
"origin_code": null,
"destination_code": null,
"destination": "SEA"
}
},
{
"tracking_events": [
{
"weight": 1918.0,
"pieces": 2,
"flight_number": "AM6066",
"time": null,
"code": null,
"location": "CDG",
"is_estimated": false,
"description": "Reserved",
"serial_number": "1"
},
{
"weight": 1918.0,
"pieces": 2,
"flight_number": "",
"time": "2022/8/10 17:12:00",
"code": "RCS",
"location": "CDG",
"is_estimated": false,
"description": "Received",
"serial_number": "2"
},
{
"weight": 1918.0,
"pieces": 2,
"flight_number": "AM6066",
"time": "2022/8/11 0:00:00",
"code": "DEP",
"location": "CDG",
"is_estimated": false,
"description": "Took off",
"serial_number": "3"
},
{
"weight": 1918.0,
"pieces": 2,
"flight_number": "AM0008",
"time": null,
"code": null,
"location": "LHR",
"is_estimated": false,
"description": "Reserved",
"serial_number": "4"
},
{
"weight": 1918.0,
"pieces": 2,
"flight_number": "AM6923",
"time": null,
"code": null,
"location": "MEX",
"is_estimated": false,
"description": "Reserved",
"serial_number": "5"
}
],
"awb_number": "13937806801",
"id": "62ef7c6819bd0f4b4bbfbe75",
"updated_at": "2022/8/12 4:02:37",
"tracking_finished_time": null,
"carrier": {
"airline": "AEROM?XICO",
"code": "AM"
},
"airport": {
"origin": "CDG",
"origin_code": null,
"destination_code": null,
"destination": "GDL"
}
},
{
"tracking_events": [
{
"weight": 782.0,
"pieces": 1,
"flight_number": "TG0925",
"time": "2022/8/4 14:55:00",
"code": "BKD",
"location": "MUC",
"is_estimated": false,
"description": "Booking Confirmed",
"serial_number": "1"
},
{
"weight": 782.0,
"pieces": 1,
"flight_number": "",
"time": "2022/8/5 17:03:00",
"code": "RCS",
"location": "MUC",
"is_estimated": false,
"description": "Received from Shipper",
"serial_number": "2"
},
{
"weight": 782.0,
"pieces": 1,
"flight_number": "TG0925",
"time": "2022/8/6 0:00:00",
"code": "MAN",
"location": "MUC",
"is_estimated": false,
"description": "Manifested",
"serial_number": "3"
},
{
"weight": 782.0,
"pieces": 1,
"flight_number": "TG0925",
"time": "2022/8/6 14:25:00",
"code": "DEP",
"location": "MUC",
"is_estimated": false,
"description": "Departed",
"serial_number": "4"
},
{
"weight": 782.0,
"pieces": 1,
"flight_number": "TG0925",
"time": "2022/8/7 6:05:00",
"code": "ARR",
"location": "BKK",
"is_estimated": false,
"description": "Arrived",
"serial_number": "5"
},
{
"weight": 782.0,
"pieces": 1,
"flight_number": "TG0925",
"time": "2022/8/7 9:48:00",
"code": "RCF",
"location": "BKK",
"is_estimated": false,
"description": "Received from Flight",
"serial_number": "6"
},
{
"weight": 782.0,
"pieces": 1,
"flight_number": "",
"time": "2022/8/7 11:17:00",
"code": "NFD",
"location": "BKK",
"is_estimated": false,
"description": "Notified",
"serial_number": "7"
},
{
"weight": 782.0,
"pieces": 1,
"flight_number": "",
"time": "2022/8/9 3:04:00",
"code": "RWB",
"location": "BKK",
"is_estimated": false,
"description": "Documents Delivered",
"serial_number": "8"
},
{
"weight": 782.0,
"pieces": 1,
"flight_number": "",
"time": "2022/8/9 10:01:00",
"code": "DLV",
"location": "BKK",
"is_estimated": false,
"description": "Delivered",
"serial_number": "9"
}
],
"awb_number": "21791880202",
"id": "62ef7c8d19bd0f4b4bbfbe77",
"updated_at": "2022/8/9 11:13:04",
"tracking_finished_time": "2022/8/9 11:14:53",
"carrier": {
"airline": "THAI AIRWAYS",
"code": "TG"
},
"airport": {
"origin": "MUC",
"origin_code": null,
"destination_code": null,
"destination": "BKK"
}
},
{
"tracking_events": [
{
"weight": 3.9,
"pieces": 1,
"flight_number": "AM0316",
"time": null,
"code": null,
"location": "MEX",
"is_estimated": false,
"description": "Reserved",
"serial_number": "1"
},
{
"weight": 3.9,
"pieces": 1,
"flight_number": "",
"time": "2022/8/4 9:16:00",
"code": "RCS",
"location": "MEX",
"is_estimated": false,
"description": "Received",
"serial_number": "2"
},
{
"weight": 3.9,
"pieces": 1,
"flight_number": "AM0316",
"time": "2022/8/4 0:00:00",
"code": "DEP",
"location": "MEX",
"is_estimated": false,
"description": "Took off",
"serial_number": "3"
},
{
"weight": 3.9,
"pieces": 1,
"flight_number": "AM0316",
"time": null,
"code": "ARR",
"location": "TGZ",
"is_estimated": false,
"description": "Arrived",
"serial_number": "4"
},
{
"weight": 3.9,
"pieces": 1,
"flight_number": "AM0316",
"time": "2022/8/4 15:11:00",
"code": null,
"location": "TGZ",
"is_estimated": false,
"description": "Received at destination",
"serial_number": "5"
},
{
"weight": 3.9,
"pieces": 1,
"flight_number": "",
"time": "2022/8/4 16:25:00",
"code": "DLV",
"location": "TGZ",
"is_estimated": false,
"description": "Shipment Delivered at Aeromexico Cargo",
"serial_number": "6"
}
],
"awb_number": "13979646700",
"id": "62ef7d0219bd0f4b4bbfbe79",
"updated_at": "2022/8/7 16:52:52",
"tracking_finished_time": "2022/8/7 17:05:10",
"carrier": {
"airline": "AEROM?XICO",
"code": "AM"
},
"airport": {
"origin": "MEX",
"origin_code": null,
"destination_code": null,
"destination": "TGZ"
}
},
{
"tracking_events": [
{
"weight": 327.0,
"pieces": 1,
"flight_number": "TG0409",
"time": "2022/8/5 10:07:00",
"code": "BKD",
"location": "FRA",
"is_estimated": false,
"description": "Booking Confirmed",
"serial_number": "1"
},
{
"weight": 327.0,
"pieces": 1,
"flight_number": "TG0409",
"time": "2022/8/11 19:30:00",
"code": "ARR",
"location": "SIN",
"is_estimated": true,
"description": "ARRIVED",
"serial_number": "10"
},
{
"weight": 327.0,
"pieces": 1,
"flight_number": "TG0409",
"time": "2022/8/11 22:50:00",
"code": "RCF",
"location": "SIN",
"is_estimated": false,
"description": "Received from Flight",
"serial_number": "11"
},
{
"weight": 327.0,
"pieces": 1,
"flight_number": "",
"time": "2022/8/11 22:50:00",
"code": "NFD",
"location": "SIN",
"is_estimated": false,
"description": "Notified",
"serial_number": "12"
},
{
"weight": 327.0,
"pieces": 1,
"flight_number": "",
"time": "2022/8/12 5:29:00",
"code": "RWB",
"location": "SIN",
"is_estimated": false,
"description": "Documents Delivered",
"serial_number": "13"
},
{
"weight": 327.0,
"pieces": 1,
"flight_number": "",
"time": "2022/8/12 6:00:00",
"code": "DLV",
"location": "SIN",
"is_estimated": false,
"description": "Delivered",
"serial_number": "14"
},
{
"weight": 327.0,
"pieces": 1,
"flight_number": "TG0921",
"time": "2022/8/5 10:07:00",
"code": "BKD",
"location": "FRA",
"is_estimated": false,
"description": "Booking Confirmed",
"serial_number": "2"
},
{
"weight": 327.0,
"pieces": 1,
"flight_number": "TG0921",
"time": "2022/8/10 0:00:00",
"code": "MAN",
"location": "FRA",
"is_estimated": false,
"description": "Manifested",
"serial_number": "3"
},
{
"weight": 327.0,
"pieces": 1,
"flight_number": "",
"time": "2022/8/10 10:32:00",
"code": "RCS",
"location": "FRA",
"is_estimated": false,
"description": "Received from Shipper",
"serial_number": "4"
},
{
"weight": 327.0,
"pieces": 1,
"flight_number": "TG0921",
"time": "2022/8/10 14:45:00",
"code": "DEP",
"location": "FRA",
"is_estimated": false,
"description": "Departed",
"serial_number": "5"
},
{
"weight": 327.0,
"pieces": 1,
"flight_number": "TG0921",
"time": "2022/8/11 6:25:00",
"code": "TAR",
"location": "BKK",
"is_estimated": false,
"description": "Arrived",
"serial_number": "6"
},
{
"weight": 327.0,
"pieces": 1,
"flight_number": "TG0921",
"time": "2022/8/11 9:25:00",
"code": "",
"location": "BKK",
"is_estimated": false,
"description": "Received from Flight",
"serial_number": "7"
},
{
"weight": 327.0,
"pieces": 1,
"flight_number": "TG0409",
"time": "2022/8/11 12:46:00",
"code": "MAN",
"location": "BKK",
"is_estimated": false,
"description": "Manifested",
"serial_number": "8"
},
{
"weight": 327.0,
"pieces": 1,
"flight_number": "TG0409",
"time": "2022/8/11 16:15:00",
"code": "TDE",
"location": "BKK",
"is_estimated": false,
"description": "Departed",
"serial_number": "9"
}
],
"awb_number": "21791881856",
"id": "62ef7d7f137bd344ccbfbe75",
"updated_at": "2022/8/12 6:02:37",
"tracking_finished_time": null,
"carrier": {
"airline": "THAI AIRWAYS",
"code": "TG"
},
"airport": {
"origin": "FRA",
"origin_code": null,
"destination_code": null,
"destination": "SIN"
}
}
]
}
īģŋ
See the Error Handling page for troubleshooting any errors.
âī¸ Need some help?
If you encounter a problem or require assistance, please contact our support team with details regarding your request at [email protected]. A representative will connect with you soon. đ